import document_clustering
print(document_clustering.__version__)



from document_clustering import textshade, extract_visual_feature, show_images_from_cluster

# Text Shading
textshade(pdf_paths=["example.pdf"], output_image_path="./output", nod=10, dilation=13)

# Feature Extraction & Clustering
extract_visual_feature(image_path="./output", output_excel_path="clusters.xlsx", num_clusters=30, clustering_algorithm="kmeans")

# Cluster Viewer
show_images_from_cluster(excel_path="clusters.xlsx", image_folder="./output", cluster_id=2, num_images=5)
