# Document Layout-Based Clustering Tool

This Python package provides methods for:
- **Text Shading**: Extract document layout features.
- **Feature Extraction**: Extract deep learning features from document images.
- **Clustering**: Perform K-Means or Hierarchical clustering on extracted features.

## Installation
```bash
pip install document-LayoutBased-clustering-tool

```
document_LayoutBased_clustering_tool_0.1.0
├─ LICENSE
├─ README.md
├─ document_clustering
│  ├─ __init__.py
│  ├─ cluster_viewer.py
│  ├─ feature_extraction_and_clustering.py
│  └─ textshade.py
├─ pyproject.toml
├─ requirements.txt
├─ setup.py
└─ test
   └─ test.py

```